Skip to main content
GET
/
captive
/
auth-integrations
List all auth integrations
curl --request GET \
  --url https://v1.api.altostrat.io/captive/auth-integrations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/captive/auth-integrations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/captive/auth-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f",
    "name": "Azure AD - Corporate",
    "type": "azure",
    "config": {
      "client_id": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
      "tenant": "organizations"
    },
    "test_url": "https://captive.altostr.at/auth-test/c4d5e6f7...?signature=...",
    "created_at": "2025-10-28T10:00:00Z"
  }
]
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>

Response

A list of authentication integrations.

id
string<uuid>

The unique identifier for the authentication integration.

Example:

"c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f"

name
string

A human-readable name for the integration.

Example:

"Azure AD - Corporate"

type
enum<string>

The type of identity provider.

Available options:
azure,
github,
google
Example:

"azure"

config
object

The configuration credentials for the provider. The client_secret is write-only and will not be returned in API responses.

test_url
string<uri>

A signed URL that can be used to test the authentication flow for this integration.

Example:

"https://captive.altostr.at/auth-test/c4d5e6f7...?signature=..."

created_at
string<date-time>

The timestamp when the integration was created.

Example:

"2025-10-28T10:00:00Z"